PGSTAT(1)

NAME
pgstat - Gather statistical informations from PostgreSQL the vmstat way

DESCRIPTION
pgstat gathers statistics from a PostgreSQL database.

  Usage:

    pgstat [OPTIONS] [delay [count]]

  General options:

-f FILTER
    include only this object

-H  display human-readable values

-n  do not redisplay header

-s STAT
    stats to collect

-v  verbose

-?|--help
    show this help, then exit

-V|--version
    output version information, then exit

  Connection options:

-h HOSTNAME
    database server host or socket directory

-p PORT
    database server port number

-U USER
    connect as specified database user

-d DBNAME
    database to connect to

The default stat is pg_stat_bgwriter, but you can change it with the -s command line option, and one of its value (STAT):

* archiver
    for pg_stat_archiver

* bgwriter
    for pg_stat_bgwriter

* connection
    (only for > 9.1)

* database
    for pg_stat_database

* table
    for pg_stat_all_tables

* tableio
    for pg_statio_all_tables

* index
    for pg_stat_all_indexes

* function
    for pg_stat_user_function

* statement
    for pg_stat_statements (needs the extension)

* xlog
    for xlog writes (only for > 9.2)

* tempfile
    for temporary file usage

* pbpools
    for pgBouncer pools statistics

* pbstats
    for pgBouncer statistics

REPORTING BUGS
Report bugs to <guillaume@lelarge.info>.